diff --git a/src/bin/pg_dump/pg_dump.c b/src/bin/pg_dump/pg_dump.c
index 3f90c93..6ae4521 100644
--- a/src/bin/pg_dump/pg_dump.c
+++ b/src/bin/pg_dump/pg_dump.c
@@ -6847,7 +6847,7 @@ dumpFunc(Archive *fout, FuncInfo *finfo)
 
 	appendPQExpBuffer(q, "CREATE FUNCTION %s ", funcsig);
 
-	/* swich between RETURNS SETOF RECORD and RETURNS TABLE functions */
+	/* switch between RETURNS SETOF RECORD and RETURNS TABLE functions */
 	if (!is_returns_table_function(nallargs, argmodes))
 	{
 		rettypename = getFormattedTypeName(finfo->prorettype, zeroAsOpaque);
diff --git a/src/pl/plpgsql/src/pl_comp.c b/src/pl/plpgsql/src/pl_comp.c
index 612a84f..c683aea 100644
--- a/src/pl/plpgsql/src/pl_comp.c
+++ b/src/pl/plpgsql/src/pl_comp.c
@@ -402,7 +402,7 @@ do_compile(FunctionCallInfo fcinfo,
 				PLpgSQL_variable *argvariable;
 				int			argitemtype;
 
-				/* skip PROARGMODE_TABLE params - these params hasn't local variables */
+				/* PROARGMODE_TABLE params should not create local variables */
 				if (argmode == PROARGMODE_TABLE)
 					continue;
 
